Subject: Complete ccsr map for mpc8540 available?

From: Clemens Koller <[email-masked]>
Date: Mon, 30 May 2005 17:03:48 +0200

Hi, There!

I want to access the local bus controller (LBC) registers
of the mpc8540 from within a module.
Therefore I want to use similar structures as for the 8560's cpm2_immr
or the 8xx. However, I was not able to find a complete ccsr map for the 
mpc8540 in the 2.6.11.x kernels. (immap_85xx.h, 8xx_immr.h, ...)

Can someone point me to get the memc_brx / orx and friends for mpc8540?
(the complete CCSR map.) Or some code to recycle?
Or do I need to patch more into immap_85xx.h on my own? I just want to
avoid to do duplicate work.

Or is it better to extend the fsl_ocp or the platform device structures?

Thanks,

Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm.de
Phone: +49-89-741518-50
Fax: +49-89-741518-19